#use appimage

Name:           onlyoffice-desktopeditors
Version:        8.0.1
Release:        %mkrel 1
Summary:        Only Office for Linux
Group:          Office
License:        GPLv3+
URL:            https://github.com/ONLYOFFICE/appimage-desktopeditors/releases
Source1:        %{name}.desktop
Source2:        %{name}.png
#-----------------------------------------------------------------

%description
ONLYOFFICE Desktop Editors is a free office suite that combines
text, spreadsheet and presentation editors allowing to create,
view and edit documents stored on your Windows/Linux PC or Mac
without an Internet connection. It is fully compatible with Office
Open XML formats: .docx, .xlsx, .pptx.


%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/ONLYOFFICE/appimage-desktopeditors/releases/download/v%{version}/DesktopEditors-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/DesktopEditors-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Fri Mar 08 2024 tex - 8.0.1-1pclos2024
- new version

* Sun Feb 11 2024 tex - 8.0.0-1pclos2024
- new version

* Mon Aug 14 2023 tex - 7.4.1-1pclos2023
- new version
